Skip to main content
POST
Answer Refinement Question

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

refinement_id
string
required
qa_id
string
required

Body

application/json

Schema for answering a refinement Q&A item.

answer
string | null
selected
string[] | null

Response

Successful Response

Schema for refinement Q&A response.

answer
string | null
required
answered_at
string<date-time> | null
required
answered_by
string | null
required
asked_by
string
required
created_at
string<date-time>
required
id
string
required
question
string
required
refinement_id
string
required
allow_free_text
boolean
default:false
choices
RefinementQAChoiceOption · object[] | null
question_type
string
default:text
selected
string[] | null
Last modified on May 17, 2026